import { css } from "@emotion/react";
import { mq } from "./style-predefines";

export const globalStyle = (theme) =>
  css({
    [":root"]: {
      colorScheme: "light dark",
      fontFamily: "Inter, Avenir, Helvetica, Arial, sans-serif",
      fontSize: 0.625,
      fontSynthesis: "none",
      textRendering: "optimizeLegibility",
      WebkitFontSmoothing: "antialiased",
      MozOsxFontSmoothing: "grayscale",
      WebkitTextSizeAdjust: "100%",
      backgroundColor: theme.backgroundColor.light,
      overflow: "hidden",
      [mq.dark]: {
        backgroundColor: theme.backgroundColor.dark,
      },
    },
  });
