import { WindowMoveHandler } from "@/components";
import { flex } from "@/style-predefines";
import { css } from "@emotion/react";
import styled from "@emotion/styled";

const LayoutContainer = styled.div(({ theme }) =>
  css({
    height: "100vh",
    width: "100vw",
    paddingTop: theme.spacings.xxs * 24,
    ...flex(theme, "row", "flex-start", "stretch"),
    overflow: "hidden",
  })
);

export function MainLayout() {
  return (
    <LayoutContainer>
      <WindowMoveHandler />
    </LayoutContainer>
  );
}
